# Visualization
TKService
Image

# Image_ColorImage Class Reference

A ColorImage is a DColorImage with specific method.
Each Pixel in the Image ,as a ColorPixel
from Aspect, can be use directly as a Color.
A ColorImage is also called a "true color image".
.

`#include <Image_ColorImage.hxx>`

Inheritance diagram for Image_ColorImage:

[legend]

## Public Member Functions

Standard_EXPORT | Image_ColorImage (const Standard_Integer x, const Standard_Integer y, const Standard_Integer dx, const Standard_Integer dy)
| Create a ColorImage object. The default Background Pixel is set to Black . All the Image is initialised with Background Pixel .
Standard_EXPORT | Image_ColorImage (const Standard_Integer x, const Standard_Integer y, const Standard_Integer dx, const Standard_Integer dy, const Aspect_ColorPixel &BackPixel)
| Create a ColorImage object and set the Background Pixel. All the Image is initialised with Background Pixel .
Standard_EXPORT Handle_Aspect_GenericColorMap | ChooseColorMap (const Standard_Integer aSize) const
| Create a GenericColorMap object with the best ColorMap of a particular size to use in Dithering method . The best ColorMap is defined to be the one that contains as many as possible of the most frequently used colors. .
Standard_EXPORT Image_TypeOfImage | Type () const
| Returns the Image Type. .
Standard_EXPORT const Quantity_Color & | PixelColor (const Standard_Integer X, const Standard_Integer Y) const
| Returns the Pixel Color . .
Standard_EXPORT Handle_Image_Image | Dup () const
| Duplicates a Image. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Image_ColorImage::Image_ColorImage | ( | const Standard_Integer | x,
|  | const Standard_Integer | y,
|  | const Standard_Integer | dx,
|  | const Standard_Integer | dy
| ) |

Standard_EXPORT Image_ColorImage::Image_ColorImage | ( | const Standard_Integer | x,
|  | const Standard_Integer | y,
|  | const Standard_Integer | dx,
|  | const Standard_Integer | dy,
|  | const Aspect_ColorPixel & | BackPixel
| ) |

## Member Function Documentation

Standard_EXPORT Handle_Aspect_GenericColorMap Image_ColorImage::ChooseColorMap | ( | const Standard_Integer | aSize | ) | const

Standard_EXPORT Handle_Image_Image Image_ColorImage::Dup | ( |  | ) | const`[virtual]`

| Implements Image_Image.

Standard_EXPORT const Image_ColorImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Image_DColorImage.

Standard_EXPORT const Quantity_Color& Image_ColorImage::PixelColor | ( | const Standard_Integer | X,
|  | const Standard_Integer | Y
| ) | const`[virtual]`

| Implements Image_Image.

Standard_EXPORT Image_TypeOfImage Image_ColorImage::Type | ( |  | ) | const`[virtual]`

| Implements Image_DColorImage.

The documentation for this class was generated from the following file:

- Image_ColorImage.hxx